Bug 10151 - Extra ':' in msg for Waf Cross Compile Build System with Cross-answers command
Extra ':' in msg for Waf Cross Compile Build System with Cross-answers command
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 21:15 UTC by pranav
Modified: 2014-10-13 10:41 UTC (History)
1 user (show)

See Also:


Attachments
Patch from master. (1.12 KB, patch)
2014-05-07 13:41 UTC, José A. Rivera
jra: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pranav 2013-09-18 21:15:39 UTC
There is an extra colon (:) in 
/source3/wscript 
' msg="vfs_fileid: checking for statfs() and struct statfs.f_fsid" '

Due to this the 'cross answers file' is not able to find an answer as it parses by looking for a colon. 
The above line needs to be changed to 
' msg="vfs_fileid checking for statfs() and struct statfs.f_fsid" '



==== complete function ==== 
conf.CHECK_CODE('struct statfs fsd; fsid_t fsid = fsd.f_fsid; return statfs(".", &fsd);',
       'HAVE_STATFS_F_FSID',
        msg="vfs_fileid: checking for statfs() and struct statfs.f_fsid",
        headers='sys/types.h sys/statfs.h',
        execute=True)
Comment 1 José A. Rivera 2014-05-07 13:41:11 UTC
Created attachment 9920 [details]
Patch from master.

Applies cleanly to v4-1-test and v4-0-test. Please review and include in those branches if possible.
Comment 2 Jeremy Allison 2014-05-07 18:33:15 UTC
Comment on attachment 9920 [details]
Patch from master.

LGTM.
Comment 3 Jeremy Allison 2014-05-07 18:33:48 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.
Comment 4 Karolin Seeger 2014-05-19 10:08:29 UTC
(In reply to comment #3)
> Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.

Pushed to autobuild-v4-[0|1]-test.
Comment 5 Karolin Seeger 2014-05-20 09:39:46 UTC
Pushed to both branches.
Closing out bug report.

Thanks!